<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Firma\Anmeldung\HandleAnmeldung;

class HandleAnmeldungView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'firma/anmeldung/anmeldebestaetigung.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    return array($this->viewModel->tndata);
  }

  protected function getDefaultExportAdapter()
  {
    return new \ExpTeilnehmer();
  }

  protected function getFooterExportAdapter()
  {
    return new \ExpBasis();
  }

  protected function getFooterDataModulArray()
  {
    $dm = new class() extends \Datamodul {
      public $knr;
    };
    $dm->knr = $this->viewModel->knr;

    return array($dm);
  }
}

class HandleAnmeldungViewModel
{
  public $tndata;
  public $kursdata;
  public $agb;
  public $knr;
}